Previewing policy transactions
Cloud API offers endpoints for "previewing" policy transactions. When you preview a policy transaction, BillingCenter provides a view into the invoice items that would be created as a result of a transaction. However, BillingCenter does not execute the transaction, and no data is persisted to the database. The transaction preview only exists in the context of the Cloud API call.
- POST
/billing/v1/accounts/{accountId}/issuance-preview - POST
/billing/v1/accounts/{accountId}/policies/{policyId}/policy-periods/{policyPeriodId}/audit-preview - POST
/billing/v1/accounts/{accountId}/policies/{policyId}/policy-periods/{policyPeriodId}/cancellation-preview - POST
/billing/v1/accounts/{accountId}/policies/{policyId}/policy-periods/{policyPeriodId}/change-payment-plan-preview - POST
/billing/v1/accounts/{accountId}/policies/{policyId}/policy-periods/{policyPeriodId}/policy-change-preview - POST
/billing/v1/accounts/{accountId}/policies/{policyId}/policy-periods/{policyPeriodId}/reinstatement-preview - POST
/billing/v1/accounts/{accountId}/renewal-preview - POST
/billing/v1/accounts/{accountId}/rewrite-preview
Required fields for previewing policy transactions
These endpoints accept exactly the same request body as the endpoints for executing the policy transactions. The same fields are required.
Response object for previewing policy transactions
The request returns a response object consisting of an array of preview items. Preview items are data objects that represent invoice items that BillingCenter would create in the event of an actual policy transaction. Preview items are not persisted to the database.
Preview items include the following information:
- The amount of the invoice item
- The category of the charge
- The payer account
- The invoice stream
- The type of invoice item (such as installment, one time, or down payment)